<?

$thisprog="setipbans.php";
require("adminglobal.php");

if ($action!="process") {
	if (file_exists("datafile/ipbans.php")) {
		$bannedips=readfromfile("datafile/ipbans.php");
		$bannedips=str_replace("\n","\r\n",$bannedips);
	} else $bannedips="";
print <<<EOT
		<tr><td bgcolor=#80809b colspan=2><font color=#FFFFFF>
		<b>欢迎来到讨论区管理程式 / IP 禁止</b>
		</td></tr>
		<tr>
		<td bgcolor=#EEEEEE valign=middle align=center colspan=2>
		<b>IP 禁止列表</b>
		</td></tr>
		<form action="$thisprog" method="post">
		<input type=hidden name="action" value="process">
		<tr>
		<td bgcolor=#FFFFFF valign=middle colspan=2>
		<font color=#000000>
		<b>请注意:</b><br><br>
$tab_top
		如果你禁止了一个 IP 的话，那么这个 IP 将无法进入论坛的任何程式！<br>（不同于LeoBoard）
$tab_bottom	<br><br>
		<b>说明:</b><BR><br>
$tab_top	             你如果要禁止一个 IP，可以直接输入 IP 地址在这里，比如： 202.100.200.100<BR>
		             如果你要禁止一个 C 类网，那么你可以不输入 IP 的最后一位，比如：202.100.200 <BR>
		             如果你要禁止一个 B 类网，那么你可以不输入 IP 的最后两位，比如：202.100 <BR>
		             （不同于LeoBoard，你不必输入最后的句号，程式自动过滤以你所输入的为开头的IP）<br>
		             如果禁止的是一个 1 或者 2 位的IP，不要补全，如 61.xxx 不用写成 061.xxx
$tab_bottom
<br></td>
		</tr>
		<tr>
		<td bgcolor=#FFFFFF valign=middle colspan=2><b>请输入您要禁止的IP：</b><br><br><center>
		<textarea cols=60 rows=6 name="wordarray">$bannedips</textarea></center><BR>
		</td>
		</tr>
		<tr>
		<td bgcolor=#EEEEEE valign=middle align=center colspan=2>
		<input type=submit value="提 交"></td></form></tr></table></td></tr></table>
</td></tr></table></body></html>
EOT;
exit;
} elseif ($action=="process") {
	$wordarray=str_replace("\n","",$wordarray);
	$wordarray=str_replace("\r","\n",$wordarray);
	writetofile("datafile/ipbans.php",$wordarray);
	$wordarray=str_replace("\n","<br>",$wordarray);
  	print <<<EOT
		<tr><td bgcolor=#80809b colspan=2><font color=#FFFFFF>
		<b>欢迎来到讨论区管理程式 / IP 禁止</b>
		</td></tr>
		<tr>
		<td bgcolor=#FFFFFF valign=middle colspan=2>
		<center><b>所有的信息已经保存</b></center><br><br>
		<b>你已经禁止了下列 IP</b><br><br>
		$tab_top
		<b>$wordarray</b><br>
		$tab_bottom
		<br><br><center><a href="setipbans.php">增加更多禁止的 IP</a></center>
		</td></tr></table></body></html>
EOT;
	exit;
}